Bio::Seq::LargePrimarySeq(3)

NAME
Bio::Seq::LargePrimarySeq - PrimarySeq object that stores sequence as files in the tempdir (as found by File::Temp) or the default method in Bio::Root::Root

SYNOPSIS
  # normal primary seq usage

DESCRIPTION
This object stores a sequence as a series of files in a temporary directory. The aim is to allow someone the ability to store very large sequences (eg, > 100MBases) in a file system without running out of memory (eg, on a 64 MB real memory machine!).

Of course, to actually make use of this functionality, the programs which use this object must not call $primary_seq->seq otherwise the entire sequence will come out into memory and probably paste your machine. However, calls $primary_seq->subseq(10,100) will cause only 90 characters to be brought into real memory.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Ewan Birney, Jason Stajich
Email birney@ebi.ac.uk Email jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  length
 Title   : length
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  seq
 Title   : seq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  subseq
 Title   : subseq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  add_sequence_as_string
 Title   : add_sequence_as_string
 Usage   : $seq->add_sequence_as_string("CATGAT");
 Function: Appends additional residues to an existing LargePrimarySeq object.
           This allows one to build up a large sequence without storing
           entire object in memory.
 Returns : Current length of sequence
 Args    : string to append

  _filename
 Title   : _filename
 Usage   : $obj->_filename($newval)
 Function:
 Example :
 Returns : value of _filename
 Args    : newvalue (optional)

  alphabet
 Title   : alphabet
 Usage   : $obj->alphabet($newval)
 Function:
 Example :
 Returns : value of alphabet
 Args    : newvalue (optional)